
%global meadversion 1.3.16
%global namedversion 1.3.16.SP1-redhat-2
%global meadalpha .SP1_redhat_2
%global meadrel .1
%global serial 11

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.3.16.SP1-redhat-2

Name:           sun-saaj-1.3-impl
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        saaj-impl
Group:          Development/Java

%if %with mead
Source100: saaj-impl-1.3.16.SP1-redhat-2-scm-sources.zip
Source102: saaj-impl-1.3.16.SP1-redhat-2-project-sources.tar.gz
Source103: saaj-impl-1.3.16.SP1-redhat-2-javadoc.jar
Source104: saaj-impl-1.3.16.SP1-redhat-2.jar
Source105: saaj-impl-1.3.16.SP1-redhat-2-sources.jar
Source106: saaj-impl-1.3.16.SP1-redhat-2.pom
%endif

License:        Dual license consisting of the CDDL v1.1 and GPL v2
URL:            http://java.net/projects/saaj/sources/svn/show/tags/saaj-impl-1.3.16
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# FIXME
%if 0
Requires:       jvnet-parent >= 0:1
Requires:       mimepull >= 0:1.7
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/saaj-impl-%{namedversion}-%{release}-root

%description
Open source Reference Implementation of JSR-67: SOAP with Attachments
API for Java (SAAJ MR :1.3).

%if %with javadoc
%package -n sun-saaj-1.3-impl-javadoc
Summary:        Javadoc for saaj-impl
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n sun-saaj-1.3-impl-javadoc
%{summary}.
%endif

%prep
%setup -q -n saaj-impl -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}.jar %{buildroot}%{_javadir}/sun-saaj-1.3-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/sun-saaj-1.3-impl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/sun-saaj-1.3-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-sun-saaj-1.3-impl.pom

# depmaps
%add_to_maven_depmap com.sun.xml.messaging.saaj saaj-impl %{namedversion} JPP sun-saaj-1.3-impl
[ %{name} = "sun-saaj-1.3-impl" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/sun-saaj-1.3-impl

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/sun-saaj-1.3-impl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/saaj-impl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/sun-saaj-1.3-impl-%{namedversion} -x META-INF/\*
%{__ln_s} sun-saaj-1.3-impl-%{namedversion} %{buildroot}%{_javadocdir}/sun-saaj-1.3-impl
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n sun-saaj-1.3-impl
%update_maven_depmap

%postun -n sun-saaj-1.3-impl
%update_maven_depmap

%files -n sun-saaj-1.3-impl
%defattr(0644,root,root,0755)
%doc license.html
%{_javadir}/sun-saaj-1.3-impl-%{namedversion}.jar
%{_javadir}/sun-saaj-1.3-impl.jar
%exclude %{_javadir}/sun-saaj-1.3-impl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/sun-saaj-1.3-impl-javadoc.jar
%{_javadir}/sun-saaj-1.3-impl-%{namedversion}-sources.jar
%{_javadir}/sun-saaj-1.3-impl-sources.jar
%{_mavenpomdir}/JPP-sun-saaj-1.3-impl.pom
%{_mavendepmapfragdir}/sun-saaj-1.3-impl

%if %with javadoc
%files -n sun-saaj-1.3-impl-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/sun-saaj-1.3-impl-%{namedversion}
%{_javadocdir}/sun-saaj-1.3-impl
%{_javadir}/sun-saaj-1.3-impl-%{namedversion}-javadoc.jar
%{_javadir}/sun-saaj-1.3-impl-javadoc.jar
%endif

%changelog
* Thu Jan 08 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.16-11.SP1_redhat_2.1
- Patch xerces

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.16-10.SP1_redhat_1.1
- Upgrade to 1.3.16.SP1

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> 0:1.3.16-2.redhat_3.1.ep6.el6
- remove bad Requires: xerces-j2
- remove good Requires: jvnet-parent, mimepull (due to eap6 policy)

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> 0:1.3.16-1.redhat_3.1.ep6.el6
- fix build

* Wed Jan 08 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 1.3.16-1.redhat_3.1
- Rebuild

* Wed Jan 08 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 1.3.16-1.redhat_2.1
- Fix version-release-serial generation

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 1.3-1.16_redhat_2.1
- Update Release tag to current standards using macros

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 1.3-1.16_redhat_2.1
- Update Release tag to current standards using macros

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 1.3-1.16_redhat_2.1
- Update Release tag to current standards using macros

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.16-9.redhat_2.3
- Rebuild for RHEL-5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.16-8.redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.16-8.redhat_2.2
- Rebuild unsigned

* Wed Jul 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.16-8.redhat_1.1
- Rebuild using cache signing

* Thu Jul 05 2012 Hui Wang <huwang@redhat.com> - 0:1.3.16-8.redhat_1
- First mead build

* Thu May 10 2012 Yong Yang <yyang@redhat.com> - 0:1.3.16-7.redhat_1
- Build against jb-eap-6-rhel-6

* Mon Apr 16 2012 Yong Yang <yyang@redhat.com> - 0:1.3.16-6.redhat_1
- Use mvn-jpp to build to fix JBPAPP-8391

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.3.16-5_redhat_1.3
- Correct release

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.3.16-5_redhat_1.2
- Integrate Patch3 "set mimepull as provided (not needed unless saaj.use.mimepull=true)" to vman patch
- Keep the version for mimepull in pom.xml, otherwise will cause maven fail to resolve version, because its scope is "provided" now, this transitive dependency will not be downloaded and used for compile by maven

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.16-5_redhat_1.1
- Rebuild using cache signing

* Tue Feb 07 2012 David Walluck <dwalluck@redhat.com> 0:1.3.16-5
- remove Requires: sun-mimepull
- set mimepull as provided (not needed unless saaj.use.mimepull=true)
- fix Release

- add (Build)Requires: xerces-j2 (added by jbossorg patch)
- remove Requires: jaf_1_1_api (included in rt.jar)
- remove Requires: qname_1_1_api (included in rt.jar)
- remove (Build)Requires: saaj_1_3_api
- remove included jar and zip files
- fix bad pom name
- fix doc
- fix repolib deploy
- fix repolib file ownership
- remove GCJ support

* Tue Nov 22 2011 Yong Yang <yyang@redhat.com> - 0:1.3.16-3_redhat_1
- Fix version in pom

* Tue Nov 22 2011 Yong Yang <yyang@redhat.com> - 0:1.3.16-2_redhat_1
- Create Source0 from the orignal source repo, and apply jbossorg changes by patch
- Fix reltag, change from _jbossorg_1 to _redhat_1

* Mon Nov 21 2011 Yong Yang <yyang@redhat.com> - 0:1.3.16-1_jbossorg_1
- Upgrade to 1.3.16-jbossorg-1
- (B)R sun-mimepull

* Thu Jun 16 2011 Yong Yang <yyang@redhat.com> - 0:1.3.2-2.2
- Deploy jar to maven2-brew of repolib

* Tue Jan 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.2-2.1
- Disable aot compiler 

* Tue Oct 21 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.2-2
- Upgrade to 1.3.2 sources, previously using 1_3_20060920

* Wed Aug 19 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.2-1.3
- Add pom.xml file to repolib
 
* Wed Aug 19 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.2-1.2
- Change component-info.xml 

* Thu Jul 30 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.2-1.1
- Change repolib artifact id from sun-saaj-1.3-impl to saaj-impl

* Thu Jul 30 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.2-1
- Upgrade to 1.3.2
- Add repolib

* Thu Jul 09 2009 Yong Yang <yyang@redhat.com> - 0:1.3.1-3
- Change "BuildRequires:  jpackage-utils >= 0:1.7.4" to "BuildRequires:  jpackage-utils >= 0:1.7.3"
- build-classpath by using sun-saaj-1.3-api instead of saaj_1_3_api

* Tue Apr 21 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.3.1-2.jpp5
- First JPP-5 release

* Fri Mar 28 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.3.1-1jpp
- First release
